LurkrLurkr Docs
Levels

Create User Level

Create a new user level entry in a guild

POST
/levels/{guildId}/users/{userId}

Create a new user level entry in a guild

Authorization

apiKey
headerX-Api-Key<token>

The user's API key to authenticate requests

Path Parameters

guildId*Snowflake

A Discord snowflake identifier

Match^[1-9]\d+$
Length17 <= length <= 19
userId*Snowflake

A Discord snowflake identifier

Match^[1-9]\d+$
Length17 <= length <= 19

Request Body

application/json
  1. body
user*
xp*integer
Range0 <= value <= 2147483647

Response Body

Default Response

application/json
  1. response
level*
curl -X POST "https://example.com/levels/stringstringstrin/users/stringstringstrin" \  -H "Content-Type: application/json" \  -d '{    "user": {      "avatar": "stringstringstringstringstringst",      "discriminator": "strin",      "username": "string"    },    "xp": 0  }'
{  "level": {    "level": 0,    "messageCount": 0,    "xp": 0  }}